Main Page | Data Structures | Directories | File List | Data Fields | Globals

# ntfs_dent.c File Reference

## Detailed Description

NTFS file name walking / processing functions.

`#include "fs_tools_i.h"`
`#include "ntfs.h"`

## Defines
#define | MAX_DEPTH 128
#define | DIR_STRSZ 4096
#define | SEC_BTWN_1601_1970_DIV100 ((369*365 + 89) * 24 * 36)
#define | SEC_BTWN_1601_2010_DIV100 (SEC_BTWN_1601_1970_DIV100 + (40*365 + 6) * 24 * 36)
## Functions
uint8_t | ntfs_dent_walk (TSK_FS_INFO *fs, INUM_T inum, TSK_FS_DENT_FLAG_ENUM flags, TSK_FS_DENT_TYPE_WALK_CB action, void *ptr)
uint8_t | ntfs_find_file (TSK_FS_INFO *fs, INUM_T inode_toid, uint32_t type_toid, uint16_t id_toid, int flags, TSK_FS_DENT_TYPE_WALK_CB action, void *ptr)